Passer au contenu principal
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
selected-provider
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.PushNotification.SetProviderAsync(
            new SetGuardianFactorsProviderPushNotificationRequestContent {
                Provider = GuardianFactorsProviderPushNotificationProviderDataEnum.Guardian
            }
        );
    }

}
{}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

provider
enum<string>
requis
Options disponibles:
guardian,
sns,
direct

Réponse

Returns selected push notification provider configuration

provider
enum<string>
Options disponibles:
guardian,
sns,
direct